<v-card>
    <v-container>
        <v-row justify="end">
            <v-col sm="12" cols="auto">
                <v-img :src="img" class="grey--text">
                    <span class="overline d-flex justify-end pointer" @click="$emit('product:debug', product)">
                        #{{ product.product_id }}
                    </span>
                </v-img>
            </v-col>
        </v-row>
    </v-container>
    <v-card-title>{{ product.title }}</v-card-title>
    <v-card-subtitle>{{ product.description }}</v-card-subtitle>
    <v-card-text>
        <h3 class="headline mb-0">
            <span v-if="product.offer" class="font-weight-light text--disabled">
                <strike>
                    &nbsp;
                    {{ product.price }}
                    &nbsp;
                </strike>
            </span>
            <span v-else>
                {{ product.price }}
            </span>
            <template v-if="product.offer">
                &nbsp;
                <span class="red--text">{{ product.offer }}</span>
            </template>
            $
        </h3>
    </v-card-text>
    <v-divider />
    <v-container>
        <v-row align="center" justify="space-around">
            <v-row class="ml-auto pl-3" align="center">
                <x-ratings @rate="rate" :value="scoreAvg" :readonly="rated" dense color="orange" background-color="orange" hover />
                <span class="mr-auto primary--text subtitle-2">{{ scoreNum }}</span>
            </v-row>
            &nbsp;
            <v-card-actions>
                <v-row align="baseline">
                    <v-col class="pr-5">
                        <v-badge :content="count" :value="count" overlap color="indigo">
                            <v-btn @click.stop="productAdd" color="green" dark>{{ (!! count) ? 'Add' : 'Buy' }}</v-btn>
                        </v-badge>
                    </v-col>
                </v-row>
            </v-card-actions>
        </v-row>
    </v-container>
</v-card>
